package com.fs.company.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 短信发送记录对象 company_sms_logs
 * 
 * @author fs
 * @date 2023-01-09
 */
public class CompanySmsLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long logsId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 销售ID */
    @Excel(name = "销售ID")
    private Long companyUserId;

    /** 客户ID */
    @Excel(name = "客户ID")
    private Long customerId;

    /** 模板ID */
    @Excel(name = "模板ID")
    private Long tempId;

    /** 模板CODE */
    @Excel(name = "模板CODE")
    private String tempCode;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 短信内容 */
    @Excel(name = "短信内容")
    private String content;

    /** 发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发送时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date sendTime;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    private String mid;

    private String stat;

    private String replyContent;

    private Integer number;

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getReplyContent() {
        return replyContent;
    }

    public void setReplyContent(String replyContent) {
        this.replyContent = replyContent;
    }

    public String getMid() {
        return mid;
    }

    public void setMid(String mid) {
        this.mid = mid;
    }

    public String getStat() {
        return stat;
    }

    public void setStat(String stat) {
        this.stat = stat;
    }

    public void setLogsId(Long logsId)
    {
        this.logsId = logsId;
    }

    public Long getLogsId() 
    {
        return logsId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }

    public Long getCompanyUserId() {
        return companyUserId;
    }

    public void setCompanyUserId(Long companyUserId) {
        this.companyUserId = companyUserId;
    }

    public void setCustomerId(Long customerId)
    {
        this.customerId = customerId;
    }

    public Long getCustomerId() 
    {
        return customerId;
    }
    public void setTempId(Long tempId) 
    {
        this.tempId = tempId;
    }

    public Long getTempId() 
    {
        return tempId;
    }
    public void setTempCode(String tempCode) 
    {
        this.tempCode = tempCode;
    }

    public String getTempCode() 
    {
        return tempCode;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setSendTime(Date sendTime) 
    {
        this.sendTime = sendTime;
    }

    public Date getSendTime() 
    {
        return sendTime;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }


}
